SELECT 
    relname AS object_name,
    relkind AS object_type
FROM 
    pg_catalog.pg_class c
JOIN 
    pg_catalog.pg_namespace n ON c.relnamespace = n.oid
WHERE 
    n.nspname = '$pgSchema'
    AND relkind IN ('r', 'v', 'm', 'S')
ORDER BY 
    relkind, relname;
